package com.caimei.www.controller.authorized.supplier;

import com.caimei.www.controller.BaseController;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * 【供应商】个人中心
 *
 * @author : Charles
 * @date : 2020/8/27
 */
@Controller
public class SupplierPageController extends BaseController {
    /** 我的采美 */
	private static final String DASHBOARD = "supplier-center/dashboard";
    /** 订单列表 */
	private static final String ORDER_LIST = "supplier-center/order/list";
    /** 订单详情 */
	private static final String ORDER_DETAIL = "supplier-center/order/detail";
    /** 结算管理 */
	private static final String SETTLEMENT_LIST = "supplier-center/order/settlement";
    /** 员工管理 */
	private static final String OPERATION_LIST = "supplier-center/operation/list";
    /** 添加/编辑员工 */
	private static final String OPERATION_DETAIL = "supplier-center/operation/form";
    /** 资料 */
	private static final String INFORMATION = "supplier-center/setting/information";
    /** 重置密码 */
	private static final String PASSWORD = "supplier-center/setting/password";
    /** 更换手机号 */
	private static final String PHONE = "supplier-center/setting/phone";
    /** 装扮主页 */
	private static final String DECORATION_SHOP = "supplier-center/shop/decoration";
    /** 发布商品 */
	private static final String RELEASE_GOODS = "supplier-center/shop/release";
    /** 商品管理 */
	private static final String GOODS_LIST = "supplier-center/shop/goods";
    /** 商品预览 */
	private static final String GOODS_PREVIEW = "supplier-center/shop/preview";

    /** 我的采美 */
    @GetMapping("/supplier/dashboard.html")
    public String dashboard() {
        return DASHBOARD;
    }

    /** 订单列表 */
    @GetMapping("/supplier/order/list.html")
    public String orderList() {
        return ORDER_LIST;
    }

    /** 订单详情 */
    @GetMapping("/supplier/order/detail.html")
    public String orderDetail() {
        return ORDER_DETAIL;
    }

    /** 结算管理 */
    @GetMapping("/supplier/order/settlement.html")
    public String orderSettlement() {
        return SETTLEMENT_LIST;
    }

    /** 员工管理 */
    @GetMapping("/supplier/operation/list.html")
    public String operationList() {
        return OPERATION_LIST;
    }

    /** 添加/编辑员工 */
    @GetMapping("/supplier/operation/form.html")
    public String operationForm() {
        return OPERATION_DETAIL;
    }

    /** 资料 */
    @GetMapping("/supplier/setting/information.html")
    public String settingInformation() {
        return INFORMATION;
    }

    /** 重置密码 */
    @GetMapping("/supplier/setting/password.html")
    public String settingPassword() {
        return PASSWORD;
    }

    /** 更换手机号 */
    @GetMapping("/supplier/setting/phone.html")
    public String settingPhone() {
        return PHONE;
    }

    /** 装扮主页 */
    @GetMapping("/supplier/decoration.html")
    public String shopDecoration() {
        return DECORATION_SHOP;
    }

    /** 发布商品 */
    @GetMapping("/supplier/release.html")
    public String releaseGoods() {
        return RELEASE_GOODS;
    }

    /** 商品管理 */
    @GetMapping("/supplier/goods.html")
    public String goodsList() {
        return GOODS_LIST;
    }
    /** 商品预览 */
    @GetMapping("/supplier/goods/preview.html")
    public String goodsPreview() {
        return GOODS_PREVIEW;
    }


}
